#include "Exception.h"

BasicException::BasicException( const string& message )
{
	this->message= message;
}
const char * BasicException::what(void)
{
	return this->message.c_str();
}

FileException::FileException( const string& fileName ) : BasicException("Problem with file: \'"+fileName+ "\'" )
{
	
}